at.chipkarte.client.bkf.soap

## Class BKFPatientInfo

- Object
- - at.chipkarte.client.bkf.soap.BKFPatientInfo

-     public class BKFPatientInfo
      extends Object

  Diese Klasse enthält die Daten einer Patientin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFPatientInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckTitelHinten()` Drucktitel hinten der Patientin.
    `String` | `getDruckTitelVorne()` Drucktitel vorne der Patientin.
    `String` | `getDruckVorname()` Druckvorname der Patientin.
    `String` | `getDruckZuname()` Druckzuname der Patientin.
    `String` | `getGeburtsdatum()` Geburtsdatum der Patientin.
    `String` | `getGeschlechtscode()` Geschlechtscode der Patientin.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getTitelHinten()` Titel hinten der Patientin.
    `String` | `getTitelVorne()` Titel vorne der Patientin.
    `String` | `getVorname()` Vorname der Patientin.
    `String` | `getZuname()` Zuname der Patientin.
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setDruckZuname(String druckZuname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlechtscode(String geschlechtscode)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFPatientInfo

          public BKFPatientInfo()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Muss.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der Patientin.
      Angabe: Kann.
      Format: TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getGeschlechtscode

          public String getGeschlechtscode()

      Geschlechtscode der Patientin.
      Angabe: Kann.
      Mögliche Werte siehe `Geschlechtscodes`.
      Format: 1-stellig
      Returns:
        Geschlechtscode

    - #### setGeschlechtscode

          public void setGeschlechtscode(String geschlechtscode)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne der Patientin.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        TitelVorne

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten der Patientin.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        TitelHinten

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### getVorname

          public String getVorname()

      Vorname der Patientin.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname der Patientin.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Drucktitel vorne der Patientin.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        TitelVorne

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Drucktitel hinten der Patientin.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        DruckTitelHinten

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)

    - #### getDruckVorname

          public String getDruckVorname()

      Druckvorname der Patientin.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        DruckVorname

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### getDruckZuname

          public String getDruckZuname()

      Druckzuname der Patientin.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        DruckZuname

    - #### setDruckZuname

          public void setDruckZuname(String druckZuname)